Tenant Admin Operations
2 API calls in this section.
Get My Subscription
Billing & Subscriptions / Tenant Admin Operations
GET
/tenants/me/subscriptionReturns the current subscription details for the authenticated tenant admin. Response includes subscription_enabled (global system toggle) and data (subscription object). If there is an unpaid invoice, response includes data.pendingInvoice for both recurring (MONTHLY/ANNUAL) and UNLIMITED plans.
Headers
| Parameter | Type | Description |
|---|---|---|
Authorization | string | Example: |
Request
curl
1curl --globoff --request GET "https://staging-api.ondi.io/functions/v1/tenants/me/subscription" \2 --header "Authorization: Bearer ${ONDI_ACCESS_TOKEN}"Response examples
No saved response example. Use Try it to inspect a staging response.
Get My Subscription History
Billing & Subscriptions / Tenant Admin Operations
GET
/tenants/me/subscription/historyReturns the subscription history (logs/invoices) for the authenticated tenant admin.
Headers
| Parameter | Type | Description |
|---|---|---|
Authorization | string | Example: |
Request
curl
1curl --globoff --request GET "https://staging-api.ondi.io/functions/v1/tenants/me/subscription/history" \2 --header "Authorization: Bearer ${ONDI_ACCESS_TOKEN}"Response examples
No saved response example. Use Try it to inspect a staging response.